Android 10 for the Samsung Galaxy Fold is already underway


Galaxy Fold
Android 10 for the Samsung Galaxy Fold is already underway
3.3 (66.67%) 3 votes

If there is a device that everyone wants to try right now, it is the Samsung Galaxy Fold. It is one of the most expensive and special devices on the market, something that is achieved thanks to its ability to fold in half. Although the device was delayed for several months and launched a few weeks ago, it arrived without Android 10 inside. It is in the plans of Samsung to update the device, although the date might not be to your liking if you have spent about more than $2,000 on this mobile. Today we know that Android 10 is a little closer to the Galaxy Fold.

Based on Android, Samsung’s personalization layer One UI is modified to take advantage of the curved screen. Everything is adapted and this is a problem when it comes to updating the device. It takes longer and it is more expensive to do so.

Android 10 is already being developed for the Galaxy Fold

Galaxy Fold

Today we have good news for all users who have bought a Galaxy Fold or plan to do so. SamMobile has announced that Samsung has begun to develop the Android 10 version for the device. It is great news because we did expect this to start in the coming months.

In the Samsung roadmap, the Fold has a date set for April 2020, so we expected the start of its development well into next year. It has not been that way, as soon as December began, the Korean company has got to work with the Galaxy Fold software.

Is it good news? Could we see advances in dates? We can both respond positively, although there is nothing assured with the issue of dates. If the development is going well and nothing is distorted, the official software may be available before April 2020. It could be presented at the MWC in Barcelona with the next generation of the Galaxy Fold.

Source :

SamMobile

Previous OPPO PCPM00 surfaces in TENAA, It is believed to be Oppo Reno 3
Next Android malware: hackers can steal your bank account with this vulnerability